// fichier.h: interface for the fichier class.
//
//////////////////////////////////////////////////////////////////////
#if !defined(AFX_FICHIER_H__DF35DF43_6BB5_11D5_B673_0050BACFA544__INCLUDED_)
#define AFX_FICHIER_H__DF35DF43_6BB5_11D5_B673_0050BACFA544__INCLUDED_


#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#include <windows.h>
#include <stdio.h>
#include <io.h> // pour les fonctions _findfirst et _findnext

class Fichier  
{
public:	
	static int getFilePos(char *chaine,char *path,char *sortie);
	static void getFile(char *chaine,int nb,char *sortie);
	static int Nbr_de_fichier(char *chaine);
	FILE * id_fichier;
	// stocke l'identifieur du fichier courant
	
	void Create_file(const char *name);
	void Set_sof();
	void Set_eof();

	BOOL ecrire(const char* chaine);
	BOOL Setpos(long pos);
	BOOL fermer();
	BOOL lire( char * dest, char fin , int max);
	BOOL recherche( const char * chaine);
	BOOL test_id_fichier();		
	BOOL Init( const char * chaine);	
	
	long Getposition();
	
	

	Fichier();
	Fichier( const char *chaine);
	virtual ~Fichier();

};

#endif // !defined(AFX_FICHIER_H__DF35DF43_6BB5_11D5_B673_0050BACFA544__INCLUDED_)
